Bug 966198 - PRD33 - Add new column to audit_log SQL table for stack trace
PRD33 - Add new column to audit_log SQL table for stack trace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Oved Ourfali
Barak Dagan
infra
: Improvement
: 954003 (view as bug list)
Depends On:
Blocks: 894399 976645
  Show dependency treegraph
 
Reported: 2013-05-22 14:33 EDT by Keith Robertson
Modified: 2016-07-03 21:35 EDT (History)
12 users (show)

See Also:
Fixed In Version: is6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 976645 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:22:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15811 None None None Never
oVirt gerrit 15879 None None None Never

  None (edit)
Description Keith Robertson 2013-05-22 14:33:47 EDT
1. Proposed title of this feature request
Add new column to audit_log SQL table for stack trace

2. Who is the customer behind the request?
Red Hat 

3. What is the nature and description of the request?
Add a new column to the audit log table which can contain a stack trace (e.g. excaption.getStackTrace()).

4. Why does the customer need this? (List the business requirements here)
Diagnostic services.

5. How would the customer like to achieve this? (List the functional requirements here)
Add new column to the audit_log table that will allow logging entities to store a stack trace.

6. List any affected packages or components.
The Red Hat Support Plug-in for RHEV

7. Would the customer be able to assist in testing this functionality if implemented?
Yes.
Comment 3 Keith Robertson 2013-06-17 16:10:43 EDT
*** Bug 954003 has been marked as a duplicate of this bug. ***
Comment 4 Barak Dagan 2013-09-03 10:28:12 EDT
Verified on is12

# psql -U postgres -d engine -c "select column_name from information_schema.columns where table_name='audit_log'" | grep call_stack
Password for user postgres: 
 call_stack
#
Comment 5 Charlie 2013-11-27 19:26:39 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 6 errata-xmlrpc 2014-01-21 12:22:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.